Matrice di compatibilità compatibility-matrix

Questo documento elenca tutti i sistemi e i componenti supportati dalla versione più recente di Adobe Campaign Classic v7. I prodotti e le versioni che non fanno parte di questo elenco non sono compatibili con Adobe Campaign.

Se sei un utente della versione Gold Standard, consulta Gold Standard : matrice di compatibilità.

Note importanti important-notes

Salvo diversa indicazione, sono supportate tutte le versioni minori.

L’ultima versione di Adobe Campaign Classic è compatibile con tutti i sistemi e gli strumenti elencati in questa pagina. Quando versioni specifiche di questi sistemi e strumenti di terze parti raggiungono la fine del ciclo di vita (EOL) con i rispettivi creatori, Adobe Campaign non è più compatibile con tali versioni, che vengono rimosse dalla matrice di compatibilità nella versione del prodotto successiva. Assicurati di disporre delle versioni supportate di tutti i sistemi elencati nella matrice di compatibilità per evitare problemi.

Per ulteriori informazioni sugli elementi obsoleti, consulta questa pagina.

CAUTION
La matrice viene regolarmente aggiornata con l’aggiunta dei nuovi elementi supportati e la rimozione di quelli obsoleti.

Sistemi operativi OperatingSystems

In qualità di cliente on-premise/ibrido, devi installare Adobe Campaign in uno dei sistemi operativi elencati di seguito. Ulteriori informazioni sui passaggi per l’installazione di Campaign Classic v7 sono disponibili in questa pagina.

CentOs
7.x
Debian

11 (a partire da Campaign v7.3)

10

RHEL

8.x

7.x

Windows Server

2019 (a partire da Campaign v7.2)

2016

IMPORTANT
Se utilizzi RHEL, disabilita SELinux o fai in modo che gli architetti scrivano regole SELinux personalizzate per evitare che il SELinux abilitato causi problemi alle attività di Campaign.

Server web WebServers

In qualità di cliente on-premise/ibrido, a seconda del sistema operativo in uso, devi integrare Campaign in uno dei server web elencati di seguito. Ulteriori informazioni sui passaggi di configurazione dei server web sono disponibili in questa pagina (per Windows) e in questa pagina (per Linux).

Microsoft IIS
10.0 su Windows Server 2016 e 2019
Apache
2.4 per RHEL7 - CentOS 7, Debian 8/9, Windows

Strumenti Tools

In qualità di cliente on-premise/ibrido, devi installare e configurare gli strumenti elencati di seguito. Ulteriori informazioni.

Java Development Kit (JDK)

11

9

8

Ulteriori informazioni su JDK e Campaign sono disponibili in questa pagina.

Libre Office
7 (e versioni precedenti se integrate nel sistema)
SpamAssassin
3.4.x

Sistemi di gestione del database relazionale (RDBMS) RDBMSservers

In qualità di cliente on-premise/ibrido, devi installare e configurare uno dei database elencati di seguito. Ulteriori informazioni.

Oracle

19c

18c

12c

11g R2

PostgreSQL

14.x (a partire da Campaign v7.3.2)

13.x

12.x

11.x

Nota: è inoltre possibile utilizzare Amazon RDS per PostgreSQL con le versioni sopra specificate.

SQL Server

2019

2017

2016

2014

Importante: Microsoft SQL Server non è supportato come database primario quando il server Campaign è in esecuzione su Linux. Ulteriori informazioni.

NOTE
  • Il driver RDBMS deve corrispondere alla versione del server RDBMS.

  • PostgreSQL è il RDBMS per gli ambienti in hosting/Managed Cloud Services.

Connettori CRM CRMconnectors

I sistemi CRM per la gestione delle relazioni con i clienti compatibili con Adobe Campaign sono elencati di seguito. Ulteriori informazioni sui connettori CRM per Campaign.

API connettore Salesforce
API versione 49
Connettore Microsoft Dynamics
API web

Federated Data Access (FDA) FederatedDataAccessFDA

Di seguito sono elencati i database esterni compatibili con il modulo Federated Data Access di Adobe Campaign. La compatibilità dipende dal modello di hosting.

Dagli ambienti Managed Services (in hosting), Ibrido e On-Premise è possibile collegare Campaign ai seguenti sistemi di database esterni:

Sistema di database
Versione del database
Versione di Campaign
Amazon Redshift
Minimo v7.0 19.1.4
BigQuery Google
Minimo 7.2
PostgreSQL

14.x

13.x

12.x

11.x

Minimo v7.0 19.1.4
Snowflake
Minimo 7.2
Vertica Analytics
Minimo v7.0 19.1.4

Negli ambienti ibridi e on-premise è possibile collegare Campaign ai seguenti sistemi di database esterni: Questi sistemi non sono compatibili con gli ambienti Campaign Managed Services (in hosting).

Sistema di database
Versione del database
Versione di Campaign
Microsoft Azure Synapse Analytics
Minimo v7.0 19.1.4
MySQL

8

5.7

Minimo v7.3

Minimo v7.0

Netezza
7.2
Minimo v7.0
Oracle

19c

18c

12c

11g

Minimo v7.0
SAP HANA
versione 1 SPS 12
Minimo v7.0
SQL Server

2019

2017

2016

2014

2012 SP1 e SP2

Minimo v7.0
Sybase

IQ 16

ASE 15,7

Minimo v7.0
Teradata

17.x

16.x (ultima versione)

Minimo v7.0
Hadoop tramite HiveSQL

HortonWorks HDP 2.4.X, 2.5.x, 2.6.x

HDInsight 3.4 (HDP 2.4), 3.5 (HDP 2.5), 3.6 (HDP 2.6)

Cloudera CDH6.x

Minimo v7.0

Console client ClientConsoleoperatingsystems

Per utilizzare la console client di Campaign sono necessari i seguenti sistemi operativi e browser.

Sistemi operativi

Sistema
Versione sistema operativo
Versione di Campaign
Microsoft Windows

11

10

Minimo v7.3
Microsoft Windows Server

2019

2016

Minimo v7.2.1

Microsoft WebView2 Runtime

Per la console client di Campaign è obbligatoria la versione più recente di Microsoft Edge WebView2.

Scarica Microsoft Edge WebView2 dal sito web per sviluppatori Microsoft.

SDK per dispositivi mobili MobileSDK

Puoi utilizzare Campaign per inviare notifiche push sui sistemi operativi elencati di seguito, utilizzando l’SDK mobile associato.

Puoi anche utilizzare l’SDK per Adobe Experience Platform Mobile configurando l’estensione Adobe Campaign nell’interfaccia utente di raccolta dati.

Google Android

12 (a partire da Campaign v7.3), 9.0, 8.x, 7.x

con Mobile SDK build 1.1.1

Apple iOS

iOS 9 - 15

con Mobile SDK build 1.0.26, compatibile con le versioni a 32 e 64 bit. iOS 15 è supportato a partire da Campaign v7.3

Browser Browsers

I seguenti browser, nella loro versione più recente, sono compatibili con Campaign per l’accesso web.

  • Google Chrome
  • Microsoft Edge
  • Mozilla Firefox
  • Safari

Altri argomenti correlati Morelikethis

recommendation-more-help
601d79c3-e613-4db3-889a-ae959cd9e3e1